### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xuartns550_i.h File Reference

## Detailed Description

This header file contains internal identifiers, which are those shared between the files of the driver. It is intended for internal use only.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a ecm  08/16/01 First release
     1.00b jhl  03/11/02 Repartitioned driver for smaller files.
     1.11a sv   03/20/07 Updated to use the new coding guidelines.

## Functions

unsigned int | XUartNs550_SendBuffer (XUartNs550 *InstancePtr)
unsigned int | XUartNs550_ReceiveBuffer (XUartNs550 *InstancePtr)

## Variables

XUartNs550_Config | XUartNs550_ConfigTable []

## Function Documentation

unsigned int XUartNs550_ReceiveBuffer | ( | XUartNs550 * | InstancePtr | ) |

This function receives a buffer that has been previously specified by setting up the instance variables of the instance. This function is designed to be an internal function for the XUartNs550 component such that it may be called from a shell function that sets up the buffer or from an interrupt handler.

This function will attempt to receive a specified number of bytes of data from the UART and store it into the specified buffer. This function is designed for either polled or interrupt driven modes. It is non-blocking such that it will return if there is no data has already received by the UART.

In a polled mode, this function will only receive as much data as the UART can buffer, either in the receiver or in the FIFO if present and enabled. The application may need to call it repeatedly to receive a buffer. Polled mode is the default mode of operation for the driver.

In interrupt mode, this function will start receiving and then the interrupt handler of the driver will continue until the buffer has been received. A callback function, as specified by the application, will be called to indicate the completion of receiving the buffer or when any receive errors or timeouts occur. Interrupt mode must be enabled using the SetOptions function.

Parameters:

  | InstancePtr | is a pointer to the XUartNs550 instance.

Returns:
  The number of bytes received.

Note:
  None.

unsigned int XUartNs550_SendBuffer | ( | XUartNs550 * | InstancePtr | ) |

This function sends a buffer that has been previously specified by setting up the instance variables of the instance. This function is designed to be an internal function for the XUartNs550 component such that it may be called from a shell function that sets up the buffer or from an interrupt handler.

This function sends the specified buffer of data to the UART in either polled or interrupt driven modes. This function is non-blocking such that it will return before the data has been sent by the UART.

In a polled mode, this function will only send as much data as the UART can buffer, either in the transmitter or in the FIFO if present and enabled. The application may need to call it repeatedly to send a buffer.

In interrupt mode, this function will start sending the specified buffer and then the interrupt handler of the driver will continue until the buffer has been sent. A callback function, as specified by the application, will be called to indicate the completion of sending the buffer.

Parameters:

  | InstancePtr | is a pointer to the XUartNs550 instance.

Returns:
  NumBytes is the number of bytes actually sent (put into the UART tranmitter and/or FIFO).

Note:
  None.

## Variable Documentation

XUartNs550_Config XUartNs550_ConfigTable[]

| The configuration table for UART 16550/16450 devices in the table. Each device should have an entry in this table.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.